Mail archive
alpine-aports

[alpine-aports] [PATCH] main/kamailio: upgrade to 5.0.0

From: Nathan Angelacos <nangel_at_alpinelinux.org>
Date: Wed, 15 Mar 2017 17:32:04 -0400

---
 main/kamailio/0001-musl-fixes.patch               | 54 +++++++-------
 main/kamailio/0004-remove-spurious-execinfo.patch |  8 +--
 main/kamailio/APKBUILD                            | 86 ++++++++++++-----------
 3 files changed, 75 insertions(+), 73 deletions(-)
diff --git a/main/kamailio/0001-musl-fixes.patch b/main/kamailio/0001-musl-fixes.patch
index 0b1da859fa..db576d59e8 100644
--- a/main/kamailio/0001-musl-fixes.patch
+++ b/main/kamailio/0001-musl-fixes.patch
_at_@ -1,7 +1,20 @@
-diff --git a/modules/ldap/ld_session.h b/modules/ldap/ld_session.h
+diff --git a/src/core/tsend.c b/src/core/tsend.c
+index 97463fc..60c70af 100644
+--- a/src/core/tsend.c
++++ b/src/core/tsend.c
+_at_@ -27,7 +27,7 @@
+ 
+ #include <string.h>
+ #include <errno.h>
+-#include <sys/poll.h>
++#include <poll.h>
+ 
+ #include <sys/types.h>
+ #include <sys/socket.h>
+diff --git a/src/modules/ldap/ld_session.h b/src/modules/ldap/ld_session.h
 index 08a752c..0591f79 100644
---- a/modules/ldap/ld_session.h
-+++ b/modules/ldap/ld_session.h
+--- a/src/modules/ldap/ld_session.h
++++ b/src/modules/ldap/ld_session.h
 _at_@ -28,6 +28,7 @@
  #ifndef LD_SESSION_H
  #define LD_SESSION_H
_at_@ -10,10 +23,10 @@ index 08a752c..0591f79 100644
  #include <ldap.h>
  
  #include "iniparser.h"
-diff --git a/modules/seas/event_dispatcher.c b/modules/seas/event_dispatcher.c
-index e0e79c7..6a3f800 100644
---- a/modules/seas/event_dispatcher.c
-+++ b/modules/seas/event_dispatcher.c
+diff --git a/src/modules/seas/event_dispatcher.c b/src/modules/seas/event_dispatcher.c
+index 05581d5..b9c720f 100644
+--- a/src/modules/seas/event_dispatcher.c
++++ b/src/modules/seas/event_dispatcher.c
 _at_@ -25,7 +25,7 @@
  #include <string.h>/*strcmp,memset*/
  #include <errno.h>/*errno*/
_at_@ -23,10 +36,10 @@ index e0e79c7..6a3f800 100644
  #include <signal.h>/*signal*/
  #include <time.h>/*time*/
  #include <string.h>/*memcmp*/
-diff --git a/modules/tls/tls_server.c b/modules/tls/tls_server.c
-index 3f87fc8..68185ad 100644
---- a/modules/tls/tls_server.c
-+++ b/modules/tls/tls_server.c
+diff --git a/src/modules/tls/tls_server.c b/src/modules/tls/tls_server.c
+index da04f08..5b713ec 100644
+--- a/src/modules/tls/tls_server.c
++++ b/src/modules/tls/tls_server.c
 _at_@ -26,7 +26,7 @@
   */
  
_at_@ -35,25 +48,12 @@ index 3f87fc8..68185ad 100644
 +#include <poll.h>
  #include <openssl/err.h>
  #include <openssl/ssl.h>
- #include "../../dprint.h"
-diff --git a/tsend.c b/tsend.c
-index f6f39f4..ce1e5f0 100644
---- a/tsend.c
-+++ b/tsend.c
-_at_@ -27,7 +27,7 @@
- 
- #include <string.h>
- #include <errno.h>
--#include <sys/poll.h>
-+#include <poll.h>
- 
- #include <sys/types.h>
- #include <sys/socket.h>
+ #include "../../core/dprint.h"
 diff --git a/utils/kamcmd/kamcmd.c b/utils/kamcmd/kamcmd.c
-index 86d8fc4..ae16743 100644
+index 56124ca..08fb3b2 100644
 --- a/utils/kamcmd/kamcmd.c
 +++ b/utils/kamcmd/kamcmd.c
-_at_@ -49,6 +49,7 @@
+_at_@ -41,6 +41,7 @@
  #include <netdb.h> /* gethostbyname */
  #include <fcntl.h>
  #include <time.h> /* time */
diff --git a/main/kamailio/0004-remove-spurious-execinfo.patch b/main/kamailio/0004-remove-spurious-execinfo.patch
index 161bee384e..d9403bb4c4 100644
--- a/main/kamailio/0004-remove-spurious-execinfo.patch
+++ b/main/kamailio/0004-remove-spurious-execinfo.patch
_at_@ -1,7 +1,7 @@
-diff --git a/modules/ims_dialog/dlg_hash.c b/modules/ims_dialog/dlg_hash.c
-index 26817ac..0f340b0 100644
---- a/modules/ims_dialog/dlg_hash.c
-+++ b/modules/ims_dialog/dlg_hash.c
+diff --git a/src/modules/ims_dialog/dlg_hash.c b/src/modules/ims_dialog/dlg_hash.c
+index 999ae01..4fe4aae 100644
+--- a/src/modules/ims_dialog/dlg_hash.c
++++ b/src/modules/ims_dialog/dlg_hash.c
 _at_@ -17,7 +17,8 @@
  #include "dlg_profile.h"
  #include "dlg_handlers.h"
diff --git a/main/kamailio/APKBUILD b/main/kamailio/APKBUILD
index 95e7c0221e..698448e6d6 100644
--- a/main/kamailio/APKBUILD
+++ b/main/kamailio/APKBUILD
_at_@ -12,8 +12,8 @@ _giturl="git://github.com/$pkgname/$pkgname.git"
 _gittag=HEAD
 
 
-pkgver=4.4.5
-pkgrel=1
+pkgver=5.0.0
+pkgrel=0
 [ -z "${_gitcommit}" ] && _suffix="_src" || _suffix="-${_gitcommit}"
 
 pkgdesc="Open Source SIP Server"
_at_@ -28,7 +28,7 @@ makedepends="bison flex expat-dev postgresql-dev pcre-dev mariadb-dev
 	libxml2-dev curl-dev unixodbc-dev confuse-dev ncurses-dev sqlite-dev
 	lua-dev openldap-dev libressl-dev net-snmp-dev libuuid libev-dev
 	jansson-dev json-c-dev libevent-dev linux-headers libmemcached-dev
-	hiredis-dev libmaxminddb-dev libunistring-dev"
+	rabbitmq-c-dev hiredis-dev libmaxminddb-dev libunistring-dev"
 install="$pkgname.pre-install $pkgname.pre-upgrade"
 
 # See Makefile.groups for the list of recommended modules for
_at_@ -46,7 +46,7 @@ install="$pkgname.pre-install $pkgname.pre-upgrade"
 # - basic used modules, with no extra dependency (widespread usage)
 _mod_list_basic="avp async auth benchmark blst cfg_rpc cfgt cfgutils corex counters \
 		ctl debugger diversion enum exec gzcompress ipops kex mangler \
-		maxfwd mediaproxy mi_datagram mi_fifo mi_rpc mqueue \
+		maxfwd mediaproxy mqueue \
 		nat_traversal nathelper path pike pv ratelimit rr rtimer \
 		rtpproxy sanity sdpops siputils sl smsops statsc statistics \
 		textops textopsx tm tmx topoh topos xlog rtpengine stun sipt"
_at_@ -93,14 +93,11 @@ _mod_list_unixodbc="db_unixodbc"
 _mod_list_cassandra="db_cassandra ndb_cassandra"
 
 # - modules depending on xml2 library
-_mod_list_cpl="cpl-c"
+_mod_list_cpl="cplc"
 
 # - modules depending on xml2 library
 _mod_list_xml="xhttp_pi xmlrpc xmlops"
 
-# - modules depending on xml c rpc library
-_mod_list_mi_xmlrpc="mi_xmlrpc"
-
 # - modules depending on net-snmp library
 _mod_list_snmpstats="snmpstats"
 
_at_@ -117,7 +114,7 @@ _mod_list_berkeley="db_berkeley"
 _mod_list_utils="utils http_client"
 
 # - async http_async_client
-_mod_list_async_client="http_async_client"
+_mod_list_http_async="http_async_client"
 
 # - modules depending on purple library
 _mod_list_purple="purple"
_at_@ -147,8 +144,8 @@ _mod_list_authephemeral="auth_ephemeral"
 _mod_list_presence="presence presence_conference presence_dialoginfo \
 			presence_mwi presence_profile presence_reginfo \
 			presence_xml \
-			pua pua_bla pua_dialoginfo pua_mi pua_reginfo \
-			pua_usrloc pua_xmpp \
+			pua pua_bla pua_dialoginfo pua_reginfo \
+			pua_rpc pua_usrloc pua_xmpp \
 			rls xcap_client xcap_server"
 
 # - modules depending on lua library
_at_@ -160,6 +157,9 @@ _mod_list_perl="app_perl db_perlvdb"
 # - modules depending on python library
 _mod_list_python="app_python"
 
+# - modules depending on rabbitmq
+_mod_list_rabbitmq="rabbitmq"
+
 # - modules depending on geoip2 library
 _mod_list_geoip2="geoip2"
 
_at_@ -170,7 +170,7 @@ _mod_list_sqlite="db_sqlite"
 _mod_list_oracle="db_oracle"
 
 # - modules depending on json library
-_mod_list_json="json jsonrpc-c jsonrpc-s"
+_mod_list_json="json jsonrpcc jsonrpcs"
 
 # - modules depending on redis library
 _mod_list_redis="ndb_redis"
_at_@ -208,7 +208,10 @@ _mod_list_kazoo="kazoo"
 _mod_list_mongodb="db_mongodb ndb_mongodb"
 
 # - modules depending on jansson library
-_mod_list_jansson="jansson janssonrpc-c"
+_mod_list_jansson="jansson janssonrpcc"
+
+# - modules depending on libm
+_mod_list_jsdt="app_jsdt"
 
 
 # Alpine Specific
_at_@ -226,7 +229,7 @@ for _i in db postgres sqlite dbtext mysql \
 	ldap utils tls presence lua ims outbound debugger \
 	extras json websocket authephemeral \
 	uuid ev memcached redis geoip2 jansson \
-	http_async_client; do
+	jsdt http_async; do
 
    subpackages="$subpackages $pkgname-$_i"
    eval "_modules=\"\$_modules \$_mod_list_$_i\""
_at_@ -260,10 +263,10 @@ prepare() {
 	cd "$_builddir"
 	default_prepare
 
-	sed -i \
-		-e "s:-O9 -funroll-loops:$CFLAGS:g" \
-		Makefile.defs \
-		|| return 1
+#	sed -i \
+#		-e "s:-O9 -funroll-loops:$CFLAGS:g" \
+#		src/Makefile.defs \
+#		|| return 1
 
 #		-e 's:^cfg-target.*:cfg-target = $(cfg-dir):' \
 #		-e 's:^cfg-prefix.*:cfg-prefix = $(basedir):' \
_at_@ -275,9 +278,9 @@ prepare() {
 	sed -i -e 's:/bin/bash:/bin/sh:' kamctl kamdbctl \
 		|| return 1
 	# Set email_address field as not required field (could be null)
-	cd dbtext/kamailio
-	sed -i -e 's:email_address(string):email_address(string,null):' subscriber \
-		|| return 1
+#	cd dbtext/kamailio
+#	sed -i -e 's:email_address(string):email_address(string,null):' subscriber \
+#		|| return 1
 
 }
 
_at_@ -391,7 +394,7 @@ snmpstats() {
 	_generic_pkg "SNMP statistics support" \
 		"$_mod_list_snmpstats" || return 1
 	mkdir -p "$subpkgdir"/usr/share/snmp
-	mv "$_builddir"/modules/snmpstats/mibs \
+	mv "$_builddir"/src/modules/snmpstats/mibs \
 		"$subpkgdir"/usr/share/snmp/ || return 1
 }
 
_at_@ -490,32 +493,31 @@ memcached() {
 		"$_mod_list_memcached"
 }
 
+rabbitmq() {
+	_generic_pkg "RabbitMQ client for configuration file" \
+		"$_mod_list_rabbitmq"
+}
+
+jsdt() {
+	_generic_pkg "Support for executing JavaScript" \
+		"$_mod_list_jsdt"
+}
+
+
 redis() {
 	_generic_pkg "Redis NoSQL support" \
 		"$_mod_list_redis"
 }
 
-http_async_client() {
+http_async() {
 	_generic_pkg "Asynchronous HTTP queries support" \
-		"$_mod_list_http_async_client"
-}
-
-
-md5sums="52cd10f6e8dd19695ac4a926b008940a  kamailio-4.4.5_src.tar.gz
-18863791d386659eae6ef0c82a2517ae  0001-musl-fixes.patch
-800dbf35a951582a08eceed68532d7a6  0003-kamdbctl.base.patch
-e613ef3611f9a5091ce05084daf9c9a5  0004-remove-spurious-execinfo.patch
-299706d97e30a4f0d9b4c873df422866  kamailio.cfg
-39dc9355fa7d8fec425d3b17c2fb26e0  kamailio.initd"
-sha256sums="fd7ced2268b4fbc7763b415341a05034eaff68a666cbf7507c707ac9199c3012  kamailio-4.4.5_src.tar.gz
-254ea5d4699417aec49e1aae45398a802067a8967060f2a469e278779d876d22  0001-musl-fixes.patch
-c01250a7fe339b53b51cc62d0f6c0bc0a9c9c4596a9692771d26b40216f822d2  0003-kamdbctl.base.patch
-fb9c13dd3cd5cd07cf7599cf6688c46739334a18ade64f8bf44f84fb179e8409  0004-remove-spurious-execinfo.patch
-8b742ff710ef67ff59ec07a260690ebcdda24fb6f0b7b64dc50433a1bacf99f2  kamailio.cfg
-ba928fa914feea2b95b8c659832e3fbea25eb6ac1ce56e4c23ff58c09f1ec3b8  kamailio.initd"
-sha512sums="b958b7898a429fff7bc9367ff8bfef7458f91fa27ac4cad99012e2f7c9e3a18ac8e3b3388e4dfab0d52133874dfc06468f7872aa2e0c1e57e78034af7c965dd1  kamailio-4.4.5_src.tar.gz
-32c8e723ee858b24a3bd1313537e9348bdd895e709041d52199b7d2c4054565f3f8d203458b5a7bd5f4b09a782a972cf87f931de5bb8199e6f9786a3c9bfb3ba  0001-musl-fixes.patch
+		"$_mod_list_http_async"
+}
+
+
+sha512sums="686ede6afcf275b739297b322be3ac74396d3230a38a52891b03e088447f5befec07992e745a6321fc39a1bd77d57787124f655f38f75133d096f20b415b3727  kamailio-5.0.0_src.tar.gz
+4371c04ffdbd876cbc8128a4ae42368be7e4783eff564bd424fd4cebba18c8841212837ce305557f4d0643f37711741d157feba8cd6d24be3e9dc6a436142110  0001-musl-fixes.patch
 139fab275e7d01da85bf3422a16966165c72584122513d34b5fb3d9341c430eeb69ec5b86b82ff4acce709f5ab3f651de5954ae38ff9a256a19b22d88cfea830  0003-kamdbctl.base.patch
-d962f7bb7fe5c0747dff050d4c2d74f16eedba903a3347b3f86b42e5d7778f5f8b973a6134fd6714c0a62189bc475396e8225db3468390f6e1a84fc1d44f0d87  0004-remove-spurious-execinfo.patch
+e60e8d41e55008f0473e4d645af3b43f2bc097e341bb3bb81daec8bc47abcd6d037cbb56082675c24ffb1c50b2eb93e3c4fc50b0dc2df9cdfe4f28ad7b9fbf9e  0004-remove-spurious-execinfo.patch
 c1abf69b48847dc8c7ab0d11ef9adb531aa4635f9d44db6933981edc5a47df374664fb24867b19aa64abbcc9777bf1cd0360d9aea54e27b081065928c61e0f0b  kamailio.cfg
 cd6e3b677d803cd78561ad14d9b2589fd35ad0096f48047fdcb4ddc7d9103871357efba3b350946844cb53dbb081210746421fc420c22ac845b90251168a628e  kamailio.initd"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Mar 15 2017 - 17:32:04 GMT